function [vec_corr, fitted, fit_params, fit_value] = cardiac_puls(vec, phase)

nTerms = 5;
phase = phase(:);
vec = vec(:); 
% linear detrending assumed to have been done before function call.
%reglijn = thomas_linfit(vec);
%vec = vec - reglijn;

fitted = zeros(size(vec));
mvec = mean(vec);
for m = 1:nTerms,
    cosfun = cos(m * phase);
    sinfun = sin(m * phase);
    fit_params.a(m) = sum((vec - mvec) .* cosfun) / sum(cosfun .^ 2);
    fit_params.b(m) = sum((vec - mvec) .* sinfun) ./ sum(sinfun .^ 2);
    fitted = fitted + fit_params.a(m) * cosfun + fit_params.b(m) * sinfun;
end;
vec_corr = vec - fitted;
if var(vec_corr) > 0,
    fit_value = 1 - var(vec_corr) / var(vec);
else,
    fit_value = 666;
end;
