function [X, err] = logdata_batch(input_mat)

for fileset = 1:length(input_mat.set),
    if ~exist(input_mat.set{fileset}.logfile),
        disp(input_mat.set{fileset}.logfile);
        return;
    end;
end;

FS_Phys = 500;

m = 1;
err = [];
X = {};
for only_retroicor = 0:1,
    for fileset = 5:length(input_mat.set),
        try,
            TR = 1.6;
            passfreq = 1 / 120;
            dir_output = dir(input_mat.set{fileset}.dir_selector);
            [path0] = fileparts(input_mat.set{fileset}.dir_selector);
            funcfiles = {};
            for n = 1:length(dir_output),
                funcfiles = [funcfiles; [path0 '/' dir_output(n).name]];
                funcfiles{n} = [path0 '/' dir_output(n).name];
            end;
            nScans = length(funcfiles);
            [p, f] = fileparts(path0);
            fprintf([num2str(only_retroicor) ' ' num2str(fileset) ' of ' num2str(length(input_mat.set)) ', ' f '\n']);
            [X{fileset, only_retroicor + 1}, d, measures, scan_vectortardet] = parseLog(input_mat.set{fileset}.logfile, TR, FS_Phys, nScans);
            m = m + 1;
        catch,
            err(length(err) + 1) = fileset + only_retroicor / 10;
            fprintf(['Error at ' num2str(fileset) '\n']);
        end;
    end;
end;
