function [respAmp, respFreq, extr] = twinpeaks(respvec, Fs)

respvec = respvec(:);

respAmp = zeros(size(respvec));
respFreq = zeros(size(respvec));

extr = [];
zerocross = [0; [(respvec(2:end) .* respvec(1:(end - 1))) < 0]];
f0 = find(zerocross);

nextHigh = 1;
sample = 1;
prev = 1;
while sample <= length(respvec),
    % find next zero crossing
    f00 = find(f0 > sample);
    if isempty(f00),
        break;
    end;
    f00 = f0(f00(1));
    interval = respvec(sample:f00);
    [extr0, fextr] = max(abs(interval));
    if interval(fextr) * nextHigh > 0,
        extr_sample = sample + fextr - 1;
        if nextHigh < 0,
            exh_inh = (extr_sample - extr(end)) / Fs;
            if exh_inh > 1,
                extr = [extr; extr_sample];
                respAmp(prev:extr_sample) = high0 - nextHigh * extr0;
                respFreq(prev:extr_sample) = (1 / exh_inh);
                prev = extr_sample + 1;
                nextHigh = -nextHigh;
            end;
        else,
            extr = [extr; extr_sample];
            high0 = extr0;
            nextHigh = -nextHigh;
        end;
    end;
    sample = f00 + 1;
end;

respAmp(prev:end) = respAmp(prev - 1);
respFreq(prev:end) = respFreq(prev - 1);
